#ifndef Acdc_H
#define Acdc_H

// cumbia
#include <qulogimpl.h>
#include <cucontrolsfactorypool.h>
class CumbiaPool;
// cumbia

#include <QWidget>

namespace Ui {
class Acdc;
}

class Acdc : public QWidget
{
    Q_OBJECT

public:
    explicit Acdc(CumbiaPool *cu_p, QWidget *parent = 0);
    ~Acdc();


private slots:
    void m_show_units(bool show);
    void m_stop_all();
private:
    Ui::Acdc *ui;
// cumbia
    CumbiaPool *cu_pool;
    QuLogImpl m_log_impl;
    CuControlsFactoryPool m_ctrl_factory_pool;
    // cumbia

};

#endif // Acdc_H

